type: prog

uuid: 00009103-1b43-0526-2022-111900000007

titre: Trouver les propriétés

niveau: Intermédiaire

description: Trouver les propriétés d'une instruction

énoncé: |
  Il est souvent nécessaire de formater les informations pour qu'elles soient plus simples à lire.  Avant de voir les possibilités de formatage, étudions une instruction utile, `Get-Member`.  Souvent nous désirons agir sur les informations, mais nous ne connaissons pas les propriétés disponibles pour l'objet.  Par exemple, pour l'instruction `Get-Service`, quelles sont les propriétés.  Donc avec `Get-Service | Get-Member` ou encore, pour obtenir uniquement les propriétés, `Get-Service | Get-Member -MemberType Property`, vous pourrez trouver les propriétés spécifiques à une instruction.

  À faire :

  1. Compléter le script en remplaçant les `??`.  Vous devez afficher le nom du processus et sa date et heure de démarrage.  Pour trouver la propriété à utiliser, vous pouvez utiliser la commande mentionnée ci-dessus dans l'ISE PowerShell de votre ordinateur.
  2. Exécuter le script et corriger les erreurs s'il y a lieu.

ébauches:
    powershell: !include exec.powershell

rétroactions:
    positive: Bravo! Vous avez réussi à trouver les propriétés d'une instruction.
    négative: Il faudra que tu revois les exercices précédents.

tests: !include tests.yml

auteur: Gilles Lacasse
licence: 2022 CC-BY-SA
